Delete annotations

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

POST https://api.ap1.datadoghq.com/api/v2/llm-obs/v1/annotation-queues/{queue_id}/annotations/deletehttps://api.ap2.datadoghq.com/api/v2/llm-obs/v1/annotation-queues/{queue_id}/annotations/deletehttps://api.datadoghq.eu/api/v2/llm-obs/v1/annotation-queues/{queue_id}/annotations/deletehttps://api.ddog-gov.com/api/v2/llm-obs/v1/annotation-queues/{queue_id}/annotations/deletehttps://api.us2.ddog-gov.com/api/v2/llm-obs/v1/annotation-queues/{queue_id}/annotations/deletehttps://api.uk1.datadoghq.com/api/v2/llm-obs/v1/annotation-queues/{queue_id}/annotations/deletehttps://api.datadoghq.com/api/v2/llm-obs/v1/annotation-queues/{queue_id}/annotations/deletehttps://api.us3.datadoghq.com/api/v2/llm-obs/v1/annotation-queues/{queue_id}/annotations/deletehttps://api.us5.datadoghq.com/api/v2/llm-obs/v1/annotation-queues/{queue_id}/annotations/delete

Información general

Delete one or more annotations from an annotation queue.

Argumentos

Parámetros de ruta

Nombre

Tipo

Descripción

queue_id [required]

string

The ID of the LLM Observability annotation queue.

Solicitud

Body Data (required)

Delete annotations payload.

Expand All

Campo

Tipo

Descripción

data [required]

object

Data object for deleting annotations.

attributes [required]

object

Attributes for deleting annotations.

annotation_ids [required]

[string]

IDs of the annotations to delete. Must contain at least one item.

type [required]

enum

Resource type for LLM Observability annotations. Allowed enum values: annotations

{
  "data": {
    "attributes": {
      "annotation_ids": [
        "00000000-0000-0000-0000-000000000000",
        "00000000-0000-0000-0000-000000000001"
      ]
    },
    "type": "annotations"
  }
}

Respuesta

OK — annotations deleted. Errors for annotations that could not be deleted are listed in `errors`.

Response for a batch annotation deletion. Partial errors are listed in the response if any annotations could not be deleted.

Expand All

Campo

Tipo

Descripción

data [required]

object

Data object for the annotation deletion response.

attributes [required]

object

Attributes of the annotation deletion response.

annotation_ids [required]

[string]

IDs of the successfully deleted annotations.

errors [required]

[object]

Errors for annotations that could not be deleted.

annotation_id [required]

string

ID of the annotation that could not be deleted.

error [required]

string

Error message.

id [required]

string

The annotation queue ID.

type [required]

enum

Resource type for LLM Observability annotations. Allowed enum values: annotations

{
  "data": {
    "attributes": {
      "annotation_ids": [
        "00000000-0000-0000-0000-000000000000"
      ],
      "errors": [
        {
          "annotation_id": "00000000-0000-0000-0000-000000000000",
          "error": "annotation not found"
        }
      ]
    },
    "id": "00000000-0000-0000-0000-000000000001",
    "type": "annotations"
  }
}

Bad Request

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Unauthorized

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Forbidden

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Not Found — the queue does not exist.

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Ejemplo de código

                  ## default
# 

# Path parameters
export queue_id="00000000-0000-0000-0000-000000000001"
# Curl command
curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/llm-obs/v1/annotation-queues/${queue_id}/annotations/delete" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "annotation_ids": [ "00000000-0000-0000-0000-000000000000" ] }, "type": "annotations" } } EOF
"""
Delete annotations returns "OK — annotations deleted. Errors for annotations that could not be deleted are listed in
`errors`." response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.llm_observability_api import LLMObservabilityApi
from datadog_api_client.v2.model.llm_obs_annotations_type import LLMObsAnnotationsType
from datadog_api_client.v2.model.llm_obs_delete_annotations_data_attributes_request import (
    LLMObsDeleteAnnotationsDataAttributesRequest,
)
from datadog_api_client.v2.model.llm_obs_delete_annotations_data_request import LLMObsDeleteAnnotationsDataRequest
from datadog_api_client.v2.model.llm_obs_delete_annotations_request import LLMObsDeleteAnnotationsRequest

body = LLMObsDeleteAnnotationsRequest(
    data=LLMObsDeleteAnnotationsDataRequest(
        attributes=LLMObsDeleteAnnotationsDataAttributesRequest(
            annotation_ids=[
                "00000000-0000-0000-0000-000000000000",
                "00000000-0000-0000-0000-000000000001",
            ],
        ),
        type=LLMObsAnnotationsType.ANNOTATIONS,
    ),
)

configuration = Configuration()
configuration.unstable_operations["delete_llm_obs_annotations"] = True
with ApiClient(configuration) as api_client:
    api_instance = LLMObservabilityApi(api_client)
    response = api_instance.delete_llm_obs_annotations(queue_id="queue_id", body=body)

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
# Delete annotations returns "OK — annotations deleted. Errors for annotations that could not be deleted are listed in
# `errors`." response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.delete_llm_obs_annotations".to_sym] = true
end
api_instance = DatadogAPIClient::V2::LLMObservabilityAPI.new

body = DatadogAPIClient::V2::LLMObsDeleteAnnotationsRequest.new({
  data: DatadogAPIClient::V2::LLMObsDeleteAnnotationsDataRequest.new({
    attributes: DatadogAPIClient::V2::LLMObsDeleteAnnotationsDataAttributesRequest.new({
      annotation_ids: [
        "00000000-0000-0000-0000-000000000000",
        "00000000-0000-0000-0000-000000000001",
      ],
    }),
    type: DatadogAPIClient::V2::LLMObsAnnotationsType::ANNOTATIONS,
  }),
})
p api_instance.delete_llm_obs_annotations("queue_id", body)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
// Delete annotations returns "OK — annotations deleted. Errors for annotations that could not be deleted are listed in
// `errors`." response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.LLMObsDeleteAnnotationsRequest{
		Data: datadogV2.LLMObsDeleteAnnotationsDataRequest{
			Attributes: datadogV2.LLMObsDeleteAnnotationsDataAttributesRequest{
				AnnotationIds: []string{
					"00000000-0000-0000-0000-000000000000",
					"00000000-0000-0000-0000-000000000001",
				},
			},
			Type: datadogV2.LLMOBSANNOTATIONSTYPE_ANNOTATIONS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.DeleteLLMObsAnnotations", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewLLMObservabilityApi(apiClient)
	resp, r, err := api.DeleteLLMObsAnnotations(ctx, "queue_id", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `LLMObservabilityApi.DeleteLLMObsAnnotations`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `LLMObservabilityApi.DeleteLLMObsAnnotations`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
// Delete annotations returns "OK — annotations deleted. Errors for annotations that could not be
// deleted are listed in
// `errors`." response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.LlmObservabilityApi;
import com.datadog.api.client.v2.model.LLMObsAnnotationsType;
import com.datadog.api.client.v2.model.LLMObsDeleteAnnotationsDataAttributesRequest;
import com.datadog.api.client.v2.model.LLMObsDeleteAnnotationsDataRequest;
import com.datadog.api.client.v2.model.LLMObsDeleteAnnotationsRequest;
import com.datadog.api.client.v2.model.LLMObsDeleteAnnotationsResponse;
import java.util.Arrays;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.deleteLLMObsAnnotations", true);
    LlmObservabilityApi apiInstance = new LlmObservabilityApi(defaultClient);

    LLMObsDeleteAnnotationsRequest body =
        new LLMObsDeleteAnnotationsRequest()
            .data(
                new LLMObsDeleteAnnotationsDataRequest()
                    .attributes(
                        new LLMObsDeleteAnnotationsDataAttributesRequest()
                            .annotationIds(
                                Arrays.asList(
                                    "00000000-0000-0000-0000-000000000000",
                                    "00000000-0000-0000-0000-000000000001")))
                    .type(LLMObsAnnotationsType.ANNOTATIONS));

    try {
      LLMObsDeleteAnnotationsResponse result =
          apiInstance.deleteLLMObsAnnotations("00000000-0000-0000-0000-000000000001", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling LlmObservabilityApi#deleteLLMObsAnnotations");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
// Delete annotations returns "OK — annotations deleted. Errors for annotations
// that could not be deleted are listed in `errors`." response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_llm_observability::LLMObservabilityAPI;
use datadog_api_client::datadogV2::model::LLMObsAnnotationsType;
use datadog_api_client::datadogV2::model::LLMObsDeleteAnnotationsDataAttributesRequest;
use datadog_api_client::datadogV2::model::LLMObsDeleteAnnotationsDataRequest;
use datadog_api_client::datadogV2::model::LLMObsDeleteAnnotationsRequest;

#[tokio::main]
async fn main() {
    let body = LLMObsDeleteAnnotationsRequest::new(LLMObsDeleteAnnotationsDataRequest::new(
        LLMObsDeleteAnnotationsDataAttributesRequest::new(vec![
            "00000000-0000-0000-0000-000000000000".to_string(),
            "00000000-0000-0000-0000-000000000001".to_string(),
        ]),
        LLMObsAnnotationsType::ANNOTATIONS,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.DeleteLLMObsAnnotations", true);
    let api = LLMObservabilityAPI::with_config(configuration);
    let resp = api
        .delete_llm_obs_annotations("queue_id".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
/**
 * Delete annotations returns "OK — annotations deleted. Errors for annotations that could not be deleted are listed in
 * `errors`." response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.deleteLLMObsAnnotations"] = true;
const apiInstance = new v2.LLMObservabilityApi(configuration);

const params: v2.LLMObservabilityApiDeleteLLMObsAnnotationsRequest = {
  body: {
    data: {
      attributes: {
        annotationIds: [
          "00000000-0000-0000-0000-000000000000",
          "00000000-0000-0000-0000-000000000001",
        ],
      },
      type: "annotations",
    },
  },
  queueId: "queue_id",
};

apiInstance
  .deleteLLMObsAnnotations(params)
  .then((data: v2.LLMObsDeleteAnnotationsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"